%define 	snap svn20130617
%define		_modname	docblock
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

Summary:	%{_modname} - phpDocumentor-style DocBlock tokenizer
Name:		php-%{_modname}
Version:	0.2.0
Release:	%mkrel 0.%snap.4
License:	PHP 2.02
Group:		Development/PHP
URL:		http://pecl.php.net/package/docblock/
Source0:	http://pecl.php.net/get/%{_modname}-%{snap}.tgz
BuildRequires:	php-devel >= 3:5.0.0



%description
This extension is like the tokenizer extension for PHP. It takes a
document comment (docblock) like this one:

/**
 - information {@inlinetag}
 - @tags
 - */

and parses it into tokens.

The primary function is docblock_tokenize(), which accepts a string,
and returns an array of arrays of array(TOKEN, "token"). TOKEN is one
of DOCBLOCK_* constants.

docblock_tokenize() has an optional second bool parameter that
determine whether to output non-essential tokens like the /** * stuff.

docblock_token_name() takes a DOCBLOCK_* constant and returns its name

In PECL status of this extension is: %{_status}.


%prep
%setup -q -n %{_modname}-%snap

%build
phpize

%configure
%make

%install
rm -rf %buildroot
install -d %buildroot{%{_sysconfdir}/conf.d,%{extensionsdir}}

install modules/%{_modname}.so %buildroot%{extensionsdir}
cat <<'EOF' > %buildroot%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF



%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%doc 
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so



%changelog
* Fri Jan 24 2014 pterjan <pterjan> 0.2.0-0.svn20130617.4.mga4
+ Revision: 567625
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-0.svn20130617.3.mga4
+ Revision: 528347
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 spuhler <spuhler> 0.2.0-0.svn20130617.2.mga4
+ Revision: 444695
- removed Requires: %%{_sysconfdir}/conf.
- packages was imported from PLD

* Mon Jun 17 2013 spuhler <spuhler> 0.2.0-0.svn20130617.1.mga4
+ Revision: 444146
- imported package php-docblock

